LocalAMG_Prolongation.cpp File Reference
`#include "Paso.h"`
`#include "Options.h"`
`#include "PasoUtil.h"`
`#include "Preconditioner.h"`
`#include "SparseMatrix.h"`

## Namespaces

| paso

## Functions

SparseMatrix_ptr | paso::Preconditioner_LocalAMG_getProlongation (SparseMatrix_ptr A_p, const index_t *offset_S, const dim_t *degree_S, const index_t *S, dim_t n_C, const index_t *counter_C, index_t interpolation_method)
void | paso::Preconditioner_LocalAMG_setDirectProlongation (SparseMatrix_ptr P_p, const_SparseMatrix_ptr A_p, const index_t *counter_C)
void | paso::Preconditioner_LocalAMG_setDirectProlongation_Block (SparseMatrix_ptr P_p, const_SparseMatrix_ptr A_p, const index_t *counter_C)
void | paso::Preconditioner_LocalAMG_setClassicProlongation (SparseMatrix_ptr P_p, SparseMatrix_ptr A_p, const index_t *offset_S, const dim_t *degree_S, const index_t *S, const index_t *counter_C)
void | paso::Preconditioner_LocalAMG_setClassicProlongation_Block (SparseMatrix_ptr P_p, SparseMatrix_ptr A_p, const index_t *offset_S, const dim_t *degree_S, const index_t *S, const index_t *counter_C)